/*
 * Author: Nigel Kukard  <nkukard@lbsd.net>
 * Desc: Misc functions header file
 * Date: 15/04/2003
 * License: GPL
*/


#ifndef _MISC_H
#define _MISC_H


// Convert everything between start & end into an integer
int aptrtoi(char *start, char *end);
	
// Convert datetime format into unix time format
int parseDateTime(char *dateTime);
	
// Format a counter which is in long long int into a nice looking string value
char *counterFMT(char *unit, double value);
	
// Function to send all data to a socket and not just chunks
int sendall(int sock, void *buf, int len);


#endif

